-- programme de lancement de la fentre d'excution du QCM
-- adapt en programmation vnementielle

-- Guillaume Feneuille novembre 2000
-- dernire modif 20 02 01 (Juin DF)
-- version 1.3 (anne.ordre)

-- fichier testada.adb

with Gtk.Main;

with P_Controle;
use P_Controle;

with Ada.Text_Io;
use Ada.Text_Io;

with Ada.Exceptions ;
use Ada.Exceptions ;

with Testada1_Pkg;
use Testada1_Pkg;

procedure Testada is 
begin
   Controle ;
   -- contrle de la faisabilit de l'exercice 
   Gtk.Main.Set_Locale;
   Gtk.Main.Init;
   -- initialisations par dfaut
   Creation;
   -- cration de la fentre principale et diverses initialisations
   Show_All (Testada1);
   -- affichage de la fentre
   Gtk.Main.Main;
   -- lancement de la boucle vnementielle
exception
   when Marqueur : others =>
      Put("Erreur dans : ");
      Put_Line (Exception_Information (Marqueur));
      Put_Line ("Renseignez-vous ! et reportez ce bug ! Merci");
      delay 5.0;

end Testada;

-- A l'IUT d'Aix (donc sous Linux) 
-- testada est lanc par le biais d'un autre programme nomm qcm
-- qcm prpare pour testada les 4 arguments automatiquement soit :
--
-- 1) le numro du qcm,
-- 2) le chemin complet du fichier des questions
-- 3) le chemin du fichier rsultat le nom est fabriqu par
--    l'identit de l'utilisateur
-- 4) LIN : chaine de caractres synonyme de : Linux
--
-- l'existence du fichier des questions est test par Controle
-- cette procdure ( l'IUT) capte l'identit de l'tudiant pour
-- fabriquer ou augmenter le fichier des rsultats
--
-- Pour une autre utilisation (ailleurs qu' l'IUT)
-- par exemple sous Windows il faut lancer 
-- Testada avec aussi 4 arguments (simples) tel : 
-- testada 4 quest4.txt .\ Win
--
-- signification de ces 4 paramtres arguments :
--
-- 1) le numro du qcm (not 4 ci dessus)
-- 2) quest4.txt (il faut prparer un fichier ayant ce nom)
-- 3) .\  le fichier rsultat aura a priori l'identit "resultat"
-- 4) Win => ou autre chose que LIN (LIN stipulait Linux)
--