-- fichier testada1_pkg.adb
-- pour qcm machine graphique Testada
-- Guillaume Feneuille novembre 2000
-- dernire modif 20 02 01
-- version 1.3
--
with Gtk;
use Gtk;
with Gtk.Widget;
use Gtk.Widget;
with Gtk.Enums;
use Gtk.Enums;
with Testada1_Pkg.Callbacks;
use Testada1_Pkg.Callbacks;
with Gtk.Handlers;
with Gtk.Button;
use Gtk.Button;
--
package body Testada1_Pkg is

   package Button_Callback is new
      Gtk.Handlers.Callback (Gtk_Button_Record);
   use Button_Callback;

   procedure Creation is 
   begin
      Testada1 := new Testada1_Record;
      Initialize (Testada1);
   end Creation;

   procedure Initialize (
         Testada1 : access Testada1_Record'Class ) is 
      pragma Suppress (All_Checks);
   begin
      Gtk.Window.Initialize (Testada1, Window_Toplevel);
      Set_Title (Testada1, "Tester le cours Ada");
      Set_Policy (Testada1, False, True, False);
      Set_Position (Testada1, Win_Pos_None);
      Set_Modal (Testada1, False);
      Set_Usize (Testada1, 640, 398);

      Gtk_New_Vbox (Testada1.Vbox1, False, 0);
      Add (Testada1, Testada1.Vbox1);

      Gtk_New_Hbox (Testada1.Barremenu, False, 0);
      Pack_Start (Testada1.Vbox1, Testada1.Barremenu, False, False, 0);

      Gtk_New (Testada1.Quitter, "Quitter le QCM");
      Set_Relief (Testada1.Quitter, Relief_Normal);
      Pack_Start (Testada1.Barremenu, Testada1.Quitter, True, True, 0);
      Button_Callback.Connect
         (Testada1.Quitter, "pressed",
         Button_Callback.To_Marshaller (On_Quitter_Pressed'access));

      Gtk_New (Testada1.Suivante, "Question Suivante");
      Set_Relief (Testada1.Suivante, Relief_Normal);
      Pack_Start (Testada1.Barremenu, Testada1.Suivante, True, True, 0);
      Button_Callback.Connect
         (Testada1.Suivante, "pressed",
         Button_Callback.To_Marshaller (On_Suivante_Pressed'access));

      Gtk_New (Testada1.Aide, "Aide");
      Set_Relief (Testada1.Aide, Relief_Normal);
      Pack_Start (Testada1.Barremenu, Testada1.Aide, True, True, 0);
      Button_Callback.Connect
         (Testada1.Aide, "pressed",
         Button_Callback.To_Marshaller (On_Aide_Pressed'access));

      Gtk_New_Vbox (Testada1.Vbox2, False, 0);
      Pack_Start (Testada1.Vbox1, Testada1.Vbox2, True, True, 0);

      Gtk_New (Testada1.Scrolledwindow1);
      Set_Policy (Testada1.Scrolledwindow1, Policy_Never, Policy_Never);
      Pack_Start (Testada1.Vbox2, Testada1.Scrolledwindow1, True, True, 0);

      Gtk_New (Testada1.Zonequestion);
      Set_Shadow_Type (Testada1.Zonequestion, Shadow_In);
      Add (Testada1.Scrolledwindow1, Testada1.Zonequestion);

      Gtk_New_Vbox (Testada1.Vbox3, False, 0);
      Add (Testada1.Zonequestion, Testada1.Vbox3);

      Gtk_New (Testada1.Question, "Texte des questions");
      Set_Alignment (Testada1.Question, 0.5, 0.5);
      Set_Padding (Testada1.Question, 0, 0);
      Set_Justify (Testada1.Question, Justify_Center);
      Set_Line_Wrap (Testada1.Question, False);
      Pack_Start (Testada1.Vbox3, Testada1.Question, False, False, 0);

      Gtk_New (Testada1.Scrolledwindow3);
      Set_Policy (Testada1.Scrolledwindow3, Policy_Never, Policy_Always);
      Pack_Start (Testada1.Vbox3, Testada1.Scrolledwindow3, True, True, 0);

      Gtk_New (Testada1.Textequestion);
      Set_Editable (Testada1.Textequestion, False);
      Set_Word_Wrap (Testada1.Textequestion,True);
      Add (Testada1.Scrolledwindow3, Testada1.Textequestion);

      Gtk_New (Testada1.Scrolledwindow2);
      Set_Policy (Testada1.Scrolledwindow2, Policy_Never, Policy_Never);
      Pack_Start (Testada1.Vbox2, Testada1.Scrolledwindow2, True, True, 0);

      Gtk_New (Testada1.Zonereponse);
      Set_Shadow_Type (Testada1.Zonereponse, Shadow_In);
      Add (Testada1.Scrolledwindow2, Testada1.Zonereponse);

      Gtk_New_Vbox (Testada1.Vbox4, False, 0);
      Add (Testada1.Zonereponse, Testada1.Vbox4);

      Gtk_New (Testada1.Reponse, "Texte des reponses");
      Set_Alignment (Testada1.Reponse, 0.5, 0.5);
      Set_Padding (Testada1.Reponse, 0, 0);
      Set_Justify (Testada1.Reponse, Justify_Center);
      Set_Line_Wrap (Testada1.Reponse, False);
      Pack_Start (Testada1.Vbox4, Testada1.Reponse, False, False, 0);

      Gtk_New (Testada1.Scrolledwindow4);
      Set_Policy (Testada1.Scrolledwindow4, Policy_Never, Policy_Always);
      Pack_Start (Testada1.Vbox4, Testada1.Scrolledwindow4, True, True, 0);

      Gtk_New (Testada1.Textereponse);
      Set_Editable (Testada1.Textereponse, False);
      Set_Word_Wrap (Testada1.Textereponse,True);
      Add (Testada1.Scrolledwindow4, Testada1.Textereponse);

      Gtk_New_Hbox (Testada1.Barrereponse, False, 0);
      Set_Flags (Testada1.Barrereponse, Can_Default);
      Grab_Focus (Testada1.Barrereponse);
      Grab_Default (Testada1.Barrereponse);
      Pack_Start (Testada1.Vbox1, Testada1.Barrereponse, False, True, 0);

      Gtk_New (Testada1.Vrai, "Vrai");
      Set_Relief (Testada1.Vrai, Relief_Normal);
      Pack_Start (Testada1.Barrereponse, Testada1.Vrai, True, True, 0);
      Button_Callback.Connect
         (Testada1.Vrai, "pressed",
         Button_Callback.To_Marshaller (On_Vrai_Pressed'access));

      Gtk_New (Testada1.Saispas, "Je ne sais pas");
      Set_Relief (Testada1.Saispas, Relief_Normal);
      Pack_Start (Testada1.Barrereponse, Testada1.Saispas, True, True, 0);
      Button_Callback.Connect
         (Testada1.Saispas, "pressed",
         Button_Callback.To_Marshaller (On_Saispas_Pressed'access));

      Gtk_New (Testada1.Faux, "Faux");
      Set_Relief (Testada1.Faux, Relief_Normal);
      Pack_Start (Testada1.Barrereponse, Testada1.Faux, True, True, 0);
      Button_Callback.Connect
         (Testada1.Faux, "pressed",
         Button_Callback.To_Marshaller (On_Faux_Pressed'access));

   end Initialize;

end Testada1_Pkg;
